List landing pages
Returns a list of landing pages which the current user may access
Pagination
Use page[number] and page[size] parameters to paginate results:
Get first page of 10 items
GET /v1/landing_pages[number]=1&page[size]=10
Get second page of 25 items
GET /v1/landing_pages[number]=2&page[size]=25
Sparse Fields
Use the fields[landing_pages] parameter to request only specific attributes:
Only return title attribute
GET /v1/landing_pages?fields[landing_pages]=title
Sorting
Use the sort parameter to sort the results:
Sort by publish_at in descending order
GET /v1/landing_pages?sort=-publish_at&fields[landing_pages]=title
Filters
Use the filter[site_id] parameter to get landing pages for a specific site:
Get landing pages for site with ID 123
GET /v1/landing_pages?filter[site_id]=123
List of attributes that may be used to filter: title, publish_at, created_at, updated_at
The filter param uses the following syntax: filter[attribute_name_suffix] with suffix for comparison:
eqfor equalscontfor containsnot_eqfor not equalsnot_contfor not containsgtfor greater thangtefor greater than or equalltfor less thanltefor less than or equalstartfor starts withendfor ends with
For example:
GET /v1/landing_pages?filter[title_start]=CourseGET /v1/landing_pages?filter[title_cont]=Landing
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Sort order, use: title for descending order use '-' e.g. &sort=-title
Number of documents
Partial attributes as specified, e.g. fields[landing_pages]=title
Filter by title contains, for example ?filter[title_cont]=about
Filter by published status, for example ?filter[published]=true